/*
 * Created by SharpDevelop.
 * User: K.R. Wittye
 * Date: (C) 2006-2009
 *
 */
 
using System;
using System.Drawing;
using System.Windows.Forms;
using InfoKursTools;

namespace Minimum
{
	/// <summary>
	/// Description of MainForm.
	/// </summary>
	public class MainForm : System.Windows.Forms.Form
	{
		private System.ComponentModel.IContainer components;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Button ClearButton;
		private System.Windows.Forms.ListBox listBox1;
		private System.Windows.Forms.Button SortButton;
		private System.Windows.Forms.TextBox textBox1;
		private InfoKursTools.RandomNumbers randomNumbers1;
		public MainForm()
		{
			//
			// The InitializeComponent() call is required for Windows Forms designer support.
			//
			InitializeComponent();
			
			//
			// TODO: Add constructor code after the InitializeComponent() call.
			//
		}
		
		[STAThread]
		public static void Main(string[] args)
		{
			Application.Run(new MainForm());
		}
		
		#region Windows Forms Designer generated code
		/// <summary>
		/// This method is required for Windows Forms designer support.
		/// Do not change the method contents inside the source code editor. The Forms designer might
		/// not be able to load this method if it was changed manually.
		/// </summary>
		private void InitializeComponent() {
			this.components = new System.ComponentModel.Container();
			this.randomNumbers1 = new InfoKursTools.RandomNumbers(this.components);
			this.textBox1 = new System.Windows.Forms.TextBox();
			this.SortButton = new System.Windows.Forms.Button();
			this.listBox1 = new System.Windows.Forms.ListBox();
			this.ClearButton = new System.Windows.Forms.Button();
			this.label1 = new System.Windows.Forms.Label();
			this.label2 = new System.Windows.Forms.Label();
			this.SuspendLayout();
			// 
			// randomNumbers1
			// 
			this.randomNumbers1.Max = 10000;
			this.randomNumbers1.Min = 0;
			// 
			// textBox1
			// 
			this.textBox1.Location = new System.Drawing.Point(120, 16);
			this.textBox1.Name = "textBox1";
			this.textBox1.Size = new System.Drawing.Size(64, 20);
			this.textBox1.TabIndex = 1;
			this.textBox1.Text = "10";
			// 
			// SortButton
			// 
			this.SortButton.Location = new System.Drawing.Point(16, 80);
			this.SortButton.Name = "SortButton";
			this.SortButton.Size = new System.Drawing.Size(168, 23);
			this.SortButton.TabIndex = 3;
			this.SortButton.Text = "Minimum suchen";
			this.SortButton.Click += new System.EventHandler(this.MinimumSuchenButtonClick);
			// 
			// listBox1
			// 
			this.listBox1.Location = new System.Drawing.Point(16, 128);
			this.listBox1.Name = "listBox1";
			this.listBox1.Size = new System.Drawing.Size(168, 134);
			this.listBox1.TabIndex = 6;
			// 
			// ClearButton
			// 
			this.ClearButton.Location = new System.Drawing.Point(16, 45);
			this.ClearButton.Name = "ClearButton";
			this.ClearButton.Size = new System.Drawing.Size(168, 23);
			this.ClearButton.TabIndex = 2;
			this.ClearButton.Text = "lschen";
			this.ClearButton.Click += new System.EventHandler(this.ClearButtonClick);
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(16, 16);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(100, 16);
			this.label1.TabIndex = 0;
			this.label1.Text = "Anzahl Elemente:";
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(16, 111);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(100, 14);
			this.label2.TabIndex = 4;
			this.label2.Text = "unsortiertes Feld:";
			// 
			// MainForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(218, 278);
			this.Controls.Add(this.listBox1);
			this.Controls.Add(this.label2);
			this.Controls.Add(this.SortButton);
			this.Controls.Add(this.ClearButton);
			this.Controls.Add(this.textBox1);
			this.Controls.Add(this.label1);
			this.Name = "MainForm";
			this.Text = "Minimum";
			this.ResumeLayout(false);
			this.PerformLayout();
		}
		#endregion
		void ClearButtonClick(object sender, System.EventArgs e)
		{
			// Listboxen lschen
			listBox1.Items.Clear();
		}
		
		

		
		void MinimumSuchenButtonClick(object sender, EventArgs e)
		{
			// Listboxen lschen
			listBox1.Items.Clear();
			
			// Anzahl aus TextBox einlesen
			int anzahl=int.Parse(textBox1.Text);
			
			// Feld erzeugen
			int[] feld=new int[anzahl];
			
			// Feld mit Zufallszahlen (mit Hilfe der InfoKursTools) fllen
			// und in 1. Listbox ausgeben
			for(int i=0;i<feld.Length;i++)
			{
				feld[i]=randomNumbers1.Next();
				listBox1.Items.Add(feld[i]);
			}
			
			// eigentliche Minimumsuche
			// Idee: suche Position des Minimums 

	
			
			// Ausgabe
			
			
		}
	}
}
